Index: asp3_wo_tecs/trunk/arch/arm_gcc/common/Makefile.core
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_gcc/common/Makefile.core	(revision 303)
+++ asp3_wo_tecs/trunk/arch/arm_gcc/common/Makefile.core	(revision 304)
@@ -36,10 +36,10 @@
 #  ã³ã³ãã£ã®ã¥ã¬ã¼ã¿é¢ä¿ã®å¤æ°ã®å®ç¾©
 #
-CFG_TABS := $(CFG_TABS) --cfg1-def-table $(COREDIR)/core_def.csv 
+CFG_TABS := $(CFG_TABS) --symval-table $(COREDIR)/core_sym.def
 
 #
 #  ãªãã»ãããã¡ã¤ã«çæã®ããã®å®ç¾©
 #
-OFFSET_TF = $(COREDIR)/core_offset.tf
+TARGET_OFFSET_TRB = $(COREDIR)/core_offset.trb
 
 #
Index: asp3_wo_tecs/trunk/arch/arm_gcc/common/arm_insn.h
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_gcc/common/arm_insn.h	(revision 303)
+++ asp3_wo_tecs/trunk/arch/arm_gcc/common/arm_insn.h	(revision 304)
@@ -5,5 +5,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2006-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2006-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -52,5 +52,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: arm_insn.h 438 2015-08-09 01:37:47Z ertl-hiro $
+ *  $Id: arm_insn.h 547 2016-01-16 06:26:08Z ertl-hiro $
  */
 
@@ -365,4 +365,11 @@
  *  ã§ã¯æå¤§ç¯å²ï¼ã·ã¹ãã å
 ¨ä½ï¼ãªã¼ãï¼ã©ã¤ãã®ä¸¡æ¹ï¼ã§åæãåãï¼
+ *
+ *  ARMv5ä»¥åã§ã¯ï¼ã¡ã¢ãªããªã¢æ©è½ã¯å®è£
+ä¾å­ã§ããããï¼ããããï¼
+ *  DATA_MEMORY_BARRIERï¼DATA_SYNC_BARRIERï¼INST_SYNC_BARRIERãå®ç¾©ãã
+ *  ãã¨ã«ãã£ã¦ï¼é¢æ°ã®å
+å®¹ãå
+¥ãæããããããã«ãã¦ããï¼
  */
 
@@ -377,9 +384,11 @@
 data_memory_barrier(void)
 {
-#if __TARGET_ARCH_ARM <= 6
+#ifdef DATA_MEMORY_BARRIER
+	DATA_MEMORY_BARRIER();
+#elif __TARGET_ARCH_ARM <= 6
 	CP15_DATA_MEMORY_BARRIER();
 #else /* __TARGET_ARCH_ARM <= 6 */
 	Asm("dmb":::"memory");
-#endif /* __TARGET_ARCH_ARM <= 6 */
+#endif
 }
 
@@ -396,9 +405,11 @@
 data_sync_barrier(void)
 {
-#if __TARGET_ARCH_ARM <= 6
+#ifdef DATA_SYNC_BARRIER
+	DATA_SYNC_BARRIER();
+#elif __TARGET_ARCH_ARM <= 6
 	CP15_DATA_SYNC_BARRIER();
 #else /* __TARGET_ARCH_ARM <= 6 */
 	Asm("dsb":::"memory");
-#endif /* __TARGET_ARCH_ARM <= 6 */
+#endif
 }
 
@@ -415,9 +426,11 @@
 inst_sync_barrier(void)
 {
-#if __TARGET_ARCH_ARM <= 6
+#ifdef INST_SYNC_BARRIER
+	INST_SYNC_BARRIER();
+#elif __TARGET_ARCH_ARM <= 6
 	CP15_INST_SYNC_BARRIER();
 #else /* __TARGET_ARCH_ARM <= 6 */
 	Asm("isb":::"memory");
-#endif /* __TARGET_ARCH_ARM <= 6 */
+#endif
 }
 
Index: asp3_wo_tecs/trunk/arch/arm_gcc/common/core.tf
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_gcc/common/core.tf	(revision 303)
+++ 	(revision )
@@ -1,83 +1,0 @@
-$
-$		ãã¹2ã®ã³ã¢ä¾å­ãã³ãã¬ã¼ãï¼ARMç¨ï¼
-$
-$  $Id: core.tf 349 2015-07-25 05:25:27Z ertl-hiro $
-$
-
-$
-$  æå¹ãªCPUä¾å¤ãã³ãã©çªå·
-$
-$EXCNO_VALID = { 0, 1, 2, 3, 4, 5 }$
-
-$
-$  DEF_EXCã§ä½¿ç¨ã§ããCPUä¾å¤ãã³ãã©çªå·
-$
-$EXCNO_DEFEXC_VALID = { 0, 1, 2, 3, 5 }$
-
-$
-$  æ¨æºãã³ãã¬ã¼ããã¡ã¤ã«ã®ã¤ã³ã¯ã«ã¼ã
-$
-$INCLUDE "kernel/kernel.tf"$
-
-$
-$  å²è¾¼ã¿ãã³ãã©ãã¼ãã«
-$
-$FILE "kernel_cfg.c"$
-/*$NL$
-$SPC$*  Interrupt Handler Table$NL$
-$SPC$*/$NL$
-$NL$
-const FP _kernel_inh_table[TNUM_INHNO] = {$NL$
-$JOINEACH inhno INHNO_VALID ",\n"$
-	$TAB$$FORMAT("/* 0x%03x */", +inhno)$$SPC$
-	$IF LENGTH(INH.INHNO[inhno])$
-		(FP)($INH.INTHDR[inhno]$)
-	$ELSE$
-		(FP)(_kernel_default_int_handler)
-	$END$
-$END$$NL$
-};$NL$
-$NL$
-
-$
-$  å²è¾¼ã¿è¦æ±ã©ã¤ã³è¨­å®ãã¼ãã«
-$
-$IF USE_INTCFG_TABLE$
-
-$FILE "kernel_cfg.c"$
-/*$NL$
-$SPC$*  Interrupt Configuration Table$NL$
-$SPC$*/$NL$
-$NL$
-const uint8_t _kernel_intcfg_table[TNUM_INTNO] = {$NL$
-$JOINEACH intno INTNO_VALID ",\n"$
-	$TAB$$FORMAT("/* 0x%03x */", +intno)$$SPC$
-	$IF LENGTH(INT.INTNO[intno])$
-		1U
-	$ELSE$
-		0U
-	$END$
-$END$$NL$
-};$NL$
-$NL$
-$END$
-
-$
-$  CPUä¾å¤ãã³ãã©ãã¼ãã«
-$
-$FILE "kernel_cfg.c"$
-/*$NL$
-$SPC$*  CPU Exception Handler Table$NL$
-$SPC$*/$NL$
-$NL$
-const FP _kernel_exc_table[TNUM_EXCNO] = {$NL$
-$JOINEACH excno EXCNO_VALID ",\n"$ 
-	$TAB$$FORMAT("/* %d */", +excno)$$SPC$
-	$IF LENGTH(EXC.EXCNO[excno])$
-		(FP)($EXC.EXCHDR[excno]$)
-	$ELSE$
-		(FP)(_kernel_default_exc_handler)
-	$END$
-$END$$NL$
-};$NL$
-$NL$
Index: asp3_wo_tecs/trunk/arch/arm_gcc/common/core_check.tf
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_gcc/common/core_check.tf	(revision 303)
+++ 	(revision )
@@ -1,61 +1,0 @@
-$ 
-$		ãã¹3ã®ã³ã¢ä¾å­ãã³ãã¬ã¼ãï¼ARMç¨ï¼
-$ 
-$  $Id: core_check.tf 407 2015-08-02 21:57:33Z ertl-hiro $
-$
-
-$ 
-$  æ¨æºãã³ãã¬ã¼ããã¡ã¤ã«ã®ã¤ã³ã¯ã«ã¼ã
-$ 
-$INCLUDE "kernel/kernel_check.tf"$
-
-$
-$  å²è¾¼ã¿ãã³ãã©ãã¼ãã«ã«é¢ãããã§ãã¯
-$
-$ DEF_INHã§ç»é²ããå²è¾¼ã¿ãã³ãã©ã®ã¿ãã§ãã¯ããï¼éã«è¨ãã¨ï¼ã³ã³ãã£
-$ ã®ã¥ã¬ã¼ã¿ã§çæããå²è¾¼ã¿ãã³ãã©ãï¼default_int_handlerã®ãã§ãã¯ã¯
-$ è¡ããªãï¼
-$
-$inh_table = SYMBOL("_kernel_inh_table")$
-$FOREACH inhno INH.ORDER_LIST$
-$	// å²è¾¼ã¿ãã³ãã©ã®å
-é ­çªå°ã®ãã§ãã¯ï¼»NGKI3056ï¼½
-	$inthdr = PEEK(inh_table + inhno * sizeof_FP, sizeof_FP)$
-	$IF CHECK_FUNC_ALIGN && (inthdr & (CHECK_FUNC_ALIGN - 1)) != 0$
-		$ERROR INH.TEXT_LINE[inhno]$E_PAR:$SPC$
-			$FORMAT(_("%1% `%2%\' of `%3%\' in %4% is not aligned"),
-							"inthdr", INH.INTHDR[inhno], inhno, "DEF_INH")$
-		$END$
-	$END$
-	$IF CHECK_FUNC_NONNULL && inthdr == 0$
-		$ERROR INH.TEXT_LINE[inhno]$E_PAR:$SPC$
-			$FORMAT(_("%1% `%2%\' of `%3%\' in %4% is null"),
-							"inthdr", INH.INTHDR[inhno], inhno, "DEF_INH")$
-		$END$
-	$END$
-$END$
-
-$
-$  CPUä¾å¤ãã³ãã©ãã¼ãã«ã«é¢ãããã§ãã¯
-$
-$ DEF_EXCã§ç»é²ããCPUä¾å¤ãã³ãã©ã®ã¿ãã§ãã¯ããï¼éã«è¨ãã¨ï¼
-$ default_exc_handlerã®ãã§ãã¯ã¯è¡ããªãï¼
-$
-$exc_table = SYMBOL("_kernel_exc_table")$
-$FOREACH excno EXC.ORDER_LIST$
-$	// CPUä¾å¤ãã³ãã©ã®å
-é ­çªå°ã®ãã§ãã¯ï¼»NGKI3135ï¼½
-	$exchdr = PEEK(exc_table + excno * sizeof_FP, sizeof_FP)$
-	$IF CHECK_FUNC_ALIGN && (exchdr & (CHECK_FUNC_ALIGN - 1)) != 0$
-		$ERROR EXC.TEXT_LINE[excno]$E_PAR:$SPC$
-			$FORMAT(_("%1% `%2%\' of `%3%\' in %4% is not aligned"),
-							"exchdr", EXC.EXCHDR[excno], excno, "DEF_EXC")$
-		$END$
-	$END$
-	$IF CHECK_FUNC_NONNULL && exchdr == 0$
-		$ERROR EXC.TEXT_LINE[excno]$E_PAR:$SPC$
-			$FORMAT(_("%1% `%2%\' of `%3%\' in %4% is null"),
-							"exchdr", EXC.EXCHDR[excno], excno, "DEF_EXC")$
-		$END$
-	$END$
-$END$
Index: asp3_wo_tecs/trunk/arch/arm_gcc/common/core_check.trb
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_gcc/common/core_check.trb	(revision 304)
+++ asp3_wo_tecs/trunk/arch/arm_gcc/common/core_check.trb	(revision 304)
@@ -0,0 +1,52 @@
+# -*- coding: utf-8 -*-
+# 
+#		ãã¹3ã®çæã¹ã¯ãªããã®ã³ã¢ä¾å­é¨ï¼ARMç¨ï¼
+# 
+#  $Id: core_check.trb 572 2016-02-01 14:40:09Z ertl-hiro $
+#
+
+# 
+#  ã¿ã¼ã²ããéä¾å­é¨ã®ã¤ã³ã¯ã«ã¼ã
+# 
+IncludeTrb("kernel/kernel_check.trb")
+
+#
+#  å²è¾¼ã¿ãã³ãã©ãã¼ãã«ã«é¢ãããã§ãã¯
+#
+# DEF_INHã§ç»é²ããå²è¾¼ã¿ãã³ãã©ã®ã¿ãã§ãã¯ããï¼éã«è¨ãã¨ï¼ã³ã³ãã£
+# ã®ã¥ã¬ã¼ã¿ã§çæããå²è¾¼ã¿ãã³ãã©ãï¼default_int_handlerã®ãã§ãã¯ã¯
+# è¡ããªãï¼
+#
+inhTable = SYMBOL("_kernel_inh_table")
+$cfgData[:DEF_INH].each do |id, params|
+  inthdr = PEEK(inhTable + params[:inhno] * $sizeof_FP, $sizeof_FP)
+
+  #	å²è¾¼ã¿ãã³ãã©ã®å
+é ­çªå°ã®ãã§ãã¯ï¼»NGKI3056ï¼½
+  if (inthdr & ($CHECK_FUNC_ALIGN - 1)) != 0
+    error_wrong_id("E_PAR", params, :inthdr, :inhno, "not aligned")
+  end
+  if $CHECK_FUNC_NONNULL == 1 && inthdr == 0
+    error_wrong_id("E_PAR", params, :inthdr, :inhno, "null")
+  end
+end
+
+#
+#  CPUä¾å¤ãã³ãã©ãã¼ãã«ã«é¢ãããã§ãã¯
+#
+# DEF_EXCã§ç»é²ããCPUä¾å¤ãã³ãã©ã®ã¿ãã§ãã¯ããï¼éã«è¨ãã¨ï¼
+# default_exc_handlerã®ãã§ãã¯ã¯è¡ããªãï¼
+#
+excTable = SYMBOL("_kernel_exc_table")
+$cfgData[:DEF_EXC].each do |id, params|
+  exchdr = PEEK(excTable + params[:excno] * $sizeof_FP, $sizeof_FP)
+
+  # CPUä¾å¤ãã³ãã©ã®å
+é ­çªå°ã®ãã§ãã¯ï¼»NGKI3135ï¼½
+  if (exchdr & ($CHECK_FUNC_ALIGN - 1)) != 0
+    error_wrong_id("E_PAR", params, :exchdr, :excno, "not aligned")
+  end
+  if $CHECK_FUNC_NONNULL == 1 && exchdr == 0
+    error_wrong_id("E_PAR", params, :exchdr, :excno, "null")
+  end
+end
Index: asp3_wo_tecs/trunk/arch/arm_gcc/common/core_def.csv
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_gcc/common/core_def.csv	(revision 303)
+++ 	(revision )
@@ -1,7 +1,0 @@
-TARGET_ARCH_ARM,__TARGET_ARCH_ARM
-USE_INTCFG_TABLE,#defined(USE_INTCFG_TABLE)
-sizeof_TCB,sizeof(TCB)
-offsetof_TCB_p_tinib,"offsetof(TCB,p_tinib)"
-offsetof_TCB_sp,"offsetof(TCB,tskctxb.sp)"
-offsetof_TCB_pc,"offsetof(TCB,tskctxb.pc)"
-offsetof_T_EXCINF_cpsr,"offsetof(T_EXCINF,cpsr)"
Index: asp3_wo_tecs/trunk/arch/arm_gcc/common/core_kernel.trb
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_gcc/common/core_kernel.trb	(revision 304)
+++ asp3_wo_tecs/trunk/arch/arm_gcc/common/core_kernel.trb	(revision 304)
@@ -0,0 +1,131 @@
+# -*- coding: utf-8 -*-
+#
+#   TOPPERS/ASP Kernel
+#       Toyohashi Open Platform for Embedded Real-Time Systems/
+#       Advanced Standard Profile Kernel
+# 
+#   Copyright (C) 2015 by FUJI SOFT INCORPORATED, JAPAN
+#   Copyright (C) 2015,2016 by Embedded and Real-Time Systems Laboratory
+#               Graduate School of Information Science, Nagoya Univ., JAPAN
+# 
+#   ä¸è¨èä½æ¨©è
+ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
+#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
+#   å¤ã»åé
+å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
+#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
+#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
+#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
+#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
+#       è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
+#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããªãå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
+#       ã¨ï¼
+#     (a) åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
+#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#     (b) åé
+å¸ã®å½¢æ
+ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
+#         å ±åãããã¨ï¼
+#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
+#       å®³ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ããå
+è²¬ãããã¨ï¼
+#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
+#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ãã
+#       å
+è²¬ãããã¨ï¼
+# 
+#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
+ã
+#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
+#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
+#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
+#   ã®è²¬ä»»ãè² ããªãï¼
+# 
+#   $Id: core_kernel.trb 572 2016-02-01 14:40:09Z ertl-hiro $
+# 
+
+#
+#		ãã¹2ã®çæã¹ã¯ãªããã®ã³ã¢ä¾å­é¨ï¼ARMç¨ï¼
+#
+
+#
+#  æå¹ãªCPUä¾å¤ãã³ãã©çªå·
+#
+$EXCNO_VALID = [ 0, 1, 2, 3, 4, 5 ]
+
+#
+#  DEF_EXCã§ä½¿ç¨ã§ããCPUä¾å¤ãã³ãã©çªå·
+#
+$EXCNO_DEFEXC_VALID = [ 0, 1, 2, 3, 5 ]
+
+#
+#  ã¿ã¼ã²ããéä¾å­é¨ã®ã¤ã³ã¯ã«ã¼ã
+#
+IncludeTrb("kernel/kernel.trb")
+
+#
+#  å²è¾¼ã¿ãã³ãã©ãã¼ãã«
+#
+$kernelCfgC.comment_header("Interrupt Handler Table")
+
+$kernelCfgC.add("const FP _kernel_inh_table[TNUM_INHNO] = {")
+$INHNO_VALID.each_with_index do |inhnoVal, index|
+  $kernelCfgC.add(",") if index > 0
+  $kernelCfgC.append("\t/* 0x#{sprintf("%03x", inhnoVal)} */ ")
+  if $cfgData[:DEF_INH].has_key?(inhnoVal)
+    $kernelCfgC.append("(FP)(#{$cfgData[:DEF_INH][inhnoVal][:inthdr]})")
+  else
+    $kernelCfgC.append("(FP)(_kernel_default_int_handler)")
+  end
+end
+$kernelCfgC.add
+$kernelCfgC.add2("};")
+
+#
+#  å²è¾¼ã¿è¦æ±ã©ã¤ã³è¨­å®ãã¼ãã«
+#
+if $USE_INTCFG_TABLE == 1
+  $kernelCfgC.comment_header("Interrupt Configuration Table")
+
+  $kernelCfgC.add("const uint8_t _kernel_intcfg_table[TNUM_INTNO] = {")
+  $INTNO_VALID.each_with_index do |intnoVal, index|
+    $kernelCfgC.add(",") if index > 0
+    $kernelCfgC.append("\t/* 0x#{sprintf("%03x", intnoVal)} */ ")
+    if $cfgData[:CFG_INT].has_key?(intnoVal)
+      $kernelCfgC.append("1U")
+    else
+      $kernelCfgC.append("0U")
+    end
+  end
+  $kernelCfgC.add
+  $kernelCfgC.add2("};")
+end
+
+#
+#  CPUä¾å¤ãã³ãã©ãã¼ãã«
+#
+$kernelCfgC.comment_header("CPU Exception Handler Table")
+
+$kernelCfgC.add("const FP _kernel_exc_table[TNUM_EXCNO] = {")
+$EXCNO_VALID.each_with_index do |excnoVal, index|
+  $kernelCfgC.add(",") if index > 0
+  $kernelCfgC.append("\t/* #{excnoVal} */ ")
+  if $cfgData[:DEF_EXC].has_key?(excnoVal)
+    $kernelCfgC.append("(FP)(#{$cfgData[:DEF_EXC][excnoVal][:exchdr]})")
+  else
+    $kernelCfgC.append("(FP)(_kernel_default_exc_handler)")
+  end
+end
+$kernelCfgC.add
+$kernelCfgC.add2("};")
Index: asp3_wo_tecs/trunk/arch/arm_gcc/common/core_kernel_impl.h
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_gcc/common/core_kernel_impl.h	(revision 303)
+++ asp3_wo_tecs/trunk/arch/arm_gcc/common/core_kernel_impl.h	(revision 304)
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: core_kernel_impl.h 471 2015-12-30 10:03:16Z ertl-hiro $
+ *  $Id: core_kernel_impl.h 546 2016-01-16 06:00:09Z ertl-hiro $
  */
 
@@ -482,5 +482,7 @@
  *  å¤æãã¼ãã«ãã¼ã¹ã¬ã¸ã¹ã¿ï¼TTBRï¼ã®è¨­å®å¤
  */
-#if __TARGET_ARCH_ARM < 7
+#if __TARGET_ARCH_ARM < 6
+#define TTBR_CONFIG		0U
+#elif __TARGET_ARCH_ARM < 7
 #define TTBR_CONFIG		(CP15_TTBR_RGN_CACHEABLE|CP15_TTBR_RGN_SHAREABLE \
 												|CP15_TTBR_RGN_WBACK)
@@ -488,5 +490,5 @@
 #define TTBR_CONFIG		(CP15_TTBR_RGN_SHAREABLE|CP15_TTBR_RGN_WBWA \
 												|CP15_TTBR_IRGN_WBWA)
-#endif /* __TARGET_ARCH_ARM < 7 */
+#endif
 
 #ifndef TOPPERS_MACRO_ONLY
Index: asp3_wo_tecs/trunk/arch/arm_gcc/common/core_offset.tf
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_gcc/common/core_offset.tf	(revision 303)
+++ 	(revision )
@@ -1,22 +1,0 @@
-$
-$		ãªãã»ãããã¡ã¤ã«çæç¨ãã³ãã¬ã¼ãï¼ARMç¨ï¼
-$
-$  $Id: core_offset.tf 454 2015-08-16 03:18:46Z ertl-hiro $
-$
-
-$
-$  æ¨æºãã³ãã¬ã¼ããã¡ã¤ã«ã®ã¤ã³ã¯ã«ã¼ã
-$
-$INCLUDE "kernel/genoffset.tf"$
-
-$
-$  ãã£ã¼ã«ãã®ãªãã»ããã®å®ç¾©ã®çæ
-$
-$DEFINE("TCB_p_tinib", offsetof_TCB_p_tinib)$
-$DEFINE("TCB_sp", offsetof_TCB_sp)$
-$DEFINE("TCB_pc", offsetof_TCB_pc)$
-$DEFINE("TINIB_exinf", offsetof_TINIB_exinf)$
-$DEFINE("TINIB_task", offsetof_TINIB_task)$
-$DEFINE("TINIB_stksz", offsetof_TINIB_stksz)$
-$DEFINE("TINIB_stk", offsetof_TINIB_stk)$
-$DEFINE("T_EXCINF_cpsr", offsetof_T_EXCINF_cpsr)$
Index: asp3_wo_tecs/trunk/arch/arm_gcc/common/core_offset.trb
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_gcc/common/core_offset.trb	(revision 304)
+++ asp3_wo_tecs/trunk/arch/arm_gcc/common/core_offset.trb	(revision 304)
@@ -0,0 +1,23 @@
+# -*- coding: utf-8 -*-
+#
+#		ãªãã»ãããã¡ã¤ã«çæç¨Rubyãã³ãã¬ã¼ãï¼ARMç¨ï¼
+#
+#  $Id: core_offset.trb 572 2016-02-01 14:40:09Z ertl-hiro $
+#
+
+#
+#  ã¿ã¼ã²ããéä¾å­é¨ã®ã¤ã³ã¯ã«ã¼ã
+#
+IncludeTrb("kernel/genoffset.trb")
+
+#
+#  ãã£ã¼ã«ãã®ãªãã»ããã®å®ç¾©ã®çæ
+#
+GenerateDefine("TCB_p_tinib", $offsetof_TCB_p_tinib)
+GenerateDefine("TCB_sp", $offsetof_TCB_sp)
+GenerateDefine("TCB_pc", $offsetof_TCB_pc)
+GenerateDefine("TINIB_exinf", $offsetof_TINIB_exinf)
+GenerateDefine("TINIB_task", $offsetof_TINIB_task)
+GenerateDefine("TINIB_stksz", $offsetof_TINIB_stksz)
+GenerateDefine("TINIB_stk", $offsetof_TINIB_stk)
+GenerateDefine("T_EXCINF_cpsr", $offsetof_T_EXCINF_cpsr)
Index: asp3_wo_tecs/trunk/arch/arm_gcc/common/core_rename.h
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_gcc/common/core_rename.h	(revision 303)
+++ asp3_wo_tecs/trunk/arch/arm_gcc/common/core_rename.h	(revision 304)
@@ -63,67 +63,4 @@
 #define arm_memory_area				_kernel_arm_memory_area
 
-#ifdef TOPPERS_LABEL_ASM
-
-/*
- *  kernel_cfg.c
- */
-#define _inh_table					__kernel_inh_table
-#define _intcfg_table				__kernel_intcfg_table
-#define _exc_table					__kernel_exc_table
-
-/*
- *  core_support.S
- */
-#define _dispatch					__kernel_dispatch
-#define _start_dispatch				__kernel_start_dispatch
-#define _exit_and_dispatch			__kernel_exit_and_dispatch
-#define _call_exit_kernel			__kernel_call_exit_kernel
-#define _start_r					__kernel_start_r
-#define _irq_handler				__kernel_irq_handler
-#define _undef_handler				__kernel_undef_handler
-#define _svc_handler				__kernel_svc_handler
-#define _pabort_handler				__kernel_pabort_handler
-#define _dabort_handler				__kernel_dabort_handler
-#define _fiq_handler				__kernel_fiq_handler
-#define _current_cpsr				__kernel_current_cpsr
-#define _set_cpsr					__kernel_set_cpsr
-
-/*
- *  core_kernel_impl.c
- */
-#define _excpt_nest_count			__kernel_excpt_nest_count
-#define _arm_mmu_initialize			__kernel_arm_mmu_initialize
-#define _core_initialize			__kernel_core_initialize
-#define _core_terminate				__kernel_core_terminate
-#define _xlog_sys					__kernel_xlog_sys
-#define _xlog_fsr					__kernel_xlog_fsr
-#define _default_int_handler		__kernel_default_int_handler
-#define _default_exc_handler		__kernel_default_exc_handler
-
-/*
- *  gic_kernel_impl.c
- */
-#define _gicc_initialize			__kernel_gicc_initialize
-#define _gicc_terminate				__kernel_gicc_terminate
-#define _gicd_initialize			__kernel_gicd_initialize
-#define _gicd_terminate				__kernel_gicd_terminate
-
-/*
- *  gic_support.S
- */
-#define _irc_begin_int				__kernel_irc_begin_int
-#define _irc_end_int				__kernel_irc_end_int
-#define _irc_get_intpri				__kernel_irc_get_intpri
-#define _irc_begin_exc				__kernel_irc_begin_exc
-#define _irc_end_exc				__kernel_irc_end_exc
-
-/*
- *  target_kernel_impl.c
- */
-#define _arm_tnum_memory_area		__kernel_arm_tnum_memory_area
-#define _arm_memory_area			__kernel_arm_memory_area
-
-#endif /* TOPPERS_LABEL_ASM */
-
 
 #endif /* TOPPERS_CORE_RENAME_H */
Index: asp3_wo_tecs/trunk/arch/arm_gcc/common/core_sym.def
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_gcc/common/core_sym.def	(revision 304)
+++ asp3_wo_tecs/trunk/arch/arm_gcc/common/core_sym.def	(revision 304)
@@ -0,0 +1,7 @@
+TARGET_ARCH_ARM,__TARGET_ARCH_ARM
+USE_INTCFG_TABLE,1,,defined(USE_INTCFG_TABLE)
+sizeof_TCB,sizeof(TCB)
+offsetof_TCB_p_tinib,"offsetof(TCB,p_tinib)"
+offsetof_TCB_sp,"offsetof(TCB,tskctxb.sp)"
+offsetof_TCB_pc,"offsetof(TCB,tskctxb.pc)"
+offsetof_T_EXCINF_cpsr,"offsetof(T_EXCINF,cpsr)"
Index: asp3_wo_tecs/trunk/arch/arm_gcc/common/core_unrename.h
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_gcc/common/core_unrename.h	(revision 303)
+++ asp3_wo_tecs/trunk/arch/arm_gcc/common/core_unrename.h	(revision 304)
@@ -64,67 +64,4 @@
 #undef arm_memory_area
 
-#ifdef TOPPERS_LABEL_ASM
-
-/*
- *  kernel_cfg.c
- */
-#undef _inh_table
-#undef _intcfg_table
-#undef _exc_table
-
-/*
- *  core_support.S
- */
-#undef _dispatch
-#undef _start_dispatch
-#undef _exit_and_dispatch
-#undef _call_exit_kernel
-#undef _start_r
-#undef _irq_handler
-#undef _undef_handler
-#undef _svc_handler
-#undef _pabort_handler
-#undef _dabort_handler
-#undef _fiq_handler
-#undef _current_cpsr
-#undef _set_cpsr
-
-/*
- *  core_kernel_impl.c
- */
-#undef _excpt_nest_count
-#undef _arm_mmu_initialize
-#undef _core_initialize
-#undef _core_terminate
-#undef _xlog_sys
-#undef _xlog_fsr
-#undef _default_int_handler
-#undef _default_exc_handler
-
-/*
- *  gic_kernel_impl.c
- */
-#undef _gicc_initialize
-#undef _gicc_terminate
-#undef _gicd_initialize
-#undef _gicd_terminate
-
-/*
- *  gic_support.S
- */
-#undef _irc_begin_int
-#undef _irc_end_int
-#undef _irc_get_intpri
-#undef _irc_begin_exc
-#undef _irc_end_exc
-
-/*
- *  target_kernel_impl.c
- */
-#undef _arm_tnum_memory_area
-#undef _arm_memory_area
-
-#endif /* TOPPERS_LABEL_ASM */
-
 
 #endif /* TOPPERS_CORE_RENAME_H */
Index: asp3_wo_tecs/trunk/arch/arm_gcc/mpcore/chip_rename.h
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_gcc/mpcore/chip_rename.h	(revision 303)
+++ asp3_wo_tecs/trunk/arch/arm_gcc/mpcore/chip_rename.h	(revision 304)
@@ -18,22 +18,4 @@
 
 
-#ifdef TOPPERS_LABEL_ASM
-
-/*
- *  chip_kernel_impl.c
- */
-#define _chip_initialize			__kernel_chip_initialize
-#define _chip_terminate				__kernel_chip_terminate
-
-/*
- *  chip_timer.c
- */
-#define _target_hrt_initialize		__kernel_target_hrt_initialize
-#define _target_hrt_terminate		__kernel_target_hrt_terminate
-#define _target_hrt_handler			__kernel_target_hrt_handler
-
-
-#endif /* TOPPERS_LABEL_ASM */
-
 #include "core_rename.h"
 
Index: asp3_wo_tecs/trunk/arch/arm_gcc/mpcore/chip_unrename.h
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_gcc/mpcore/chip_unrename.h	(revision 303)
+++ asp3_wo_tecs/trunk/arch/arm_gcc/mpcore/chip_unrename.h	(revision 304)
@@ -19,22 +19,4 @@
 
 
-#ifdef TOPPERS_LABEL_ASM
-
-/*
- *  chip_kernel_impl.c
- */
-#undef _chip_initialize
-#undef _chip_terminate
-
-/*
- *  chip_timer.c
- */
-#undef _target_hrt_initialize
-#undef _target_hrt_terminate
-#undef _target_hrt_handler
-
-
-#endif /* TOPPERS_LABEL_ASM */
-
 #include "core_unrename.h"
 
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/common/Makefile.core
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/common/Makefile.core	(revision 303)
+++ asp3_wo_tecs/trunk/arch/arm_m_gcc/common/Makefile.core	(revision 304)
@@ -92,13 +92,10 @@
 #  ã³ã³ãã£ã®ã¥ã¬ã¼ã¿é¢ä¿ã®å¤æ°ã®å®ç¾©
 #
-cfg1_out.c: $(COREDIR)/core_def.csv
-kernel_cfg.timestamp: $(COREDIR)/core.tf
-#CFG_TABS := $(CFG_TABS) --symval-table $(COREDIR)/core_sym.def
+CFG_TABS := $(CFG_TABS) --symval-table $(COREDIR)/core_sym.def
 
 #
 #  ãªãã»ãããã¡ã¤ã«çæã®ããã®å®ç¾©(ToDo)
 #
-OFFSET_TF = $(COREDIR)/core_offset.tf
-#TARGET_OFFSET_TRB = $(COREDIR)/core_offset.trb
+TARGET_OFFSET_TRB = $(COREDIR)/core_offset.trb
 
 #
@@ -153,7 +150,2 @@
 	CDEFS := $(CDEFS) -D$(FPU_ARCH_MACRO) -DTOPPERS_FPU_ENABLE -DTOPPERS_FPU_LAZYSTACKING -DTOPPERS_FPU_CONTEXT
 endif
-
-#
-#  ã³ã³ãã£ã®ã¥ã¬ã¼ã¿é¢ä¿ã®å¤æ°ã®å®ç¾©
-#
-CFG_TABS := $(CFG_TABS) --cfg1-def-table $(COREDIR)/core_def.csv
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core.tf
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core.tf	(revision 303)
+++ 	(revision )
@@ -1,245 +1,0 @@
-$ ======================================================================
-$ 
-$   TOPPERS/ASP Kernel
-$       Toyohashi Open Platform for Embedded Real-Time Systems/
-$       Advanced Standard Profile Kernel
-$  
-$   Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
-$                               Toyohashi Univ. of Technology, JAPAN
-$   Copyright (C) 2005-2015 by Embedded and Real-Time Systems Laboratory
-$               Graduate School of Information Science, Nagoya Univ., JAPAN
-$  
-$   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-$   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-$   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-$   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-$       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-$       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-$   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-$       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-$       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-$       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-$   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-$       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-$       ã¨ï¼
-$     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-$         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-$     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-$         å ±åãããã¨ï¼
-$   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-$       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-$       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-$       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-$       å
-è²¬ãããã¨ï¼
-$  
-$   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-$   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-$   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-$   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-$   ã®è²¬ä»»ãè² ããªãï¼
-$ 
-$   @(#) $Id: core.tf 322 2015-04-30 13:23:48Z ertl-ishikawa $
-$
-$ =====================================================================
-
-$ 
-$     ãã¹2ã®ã¢ã¼ã­ãã¯ãã£ä¾å­ãã³ãã¬ã¼ãï¼ARM-Mç¨ï¼
-$ 
-
-$ 
-$  æå¹ãªå²è¾¼ã¿çªå·ï¼å²è¾¼ã¿ãã³ãã©çªå·
-$ 
-$INTNO_VALID = RANGE(15, TMAX_INTNO)$
-$INHNO_VALID = INTNO_VALID$
-
-$ 
-$  æå¹ãªCPUä¾å¤çªå·
-$  7,8ã¯ã¨ãã¥ã¬ã¼ããããä¾å¤
-$ 
-$EXCNO_VALID = { 2,3,4,5,6,7,8,11,12,14 }$
-
-$ 
-$  CRE_ISRã§ä½¿ç¨ã§ããå²è¾¼ã¿çªå·ã¨ããã«å¯¾å¿ããå²è¾¼ã¿ãã³ãã©çªå·
-$ 
-$INTNO_CREISR_VALID = INTNO_VALID$
-$INHNO_CREISR_VALID = INHNO_VALID$
-
-$ 
-$  DEF_INTï¼DEF_EXCã§ä½¿ç¨ã§ããå²è¾¼ã¿ãã³ãã©çªå·ï¼CPUä¾å¤ãã³ãã©çªå·
-$ 
-$INHNO_DEFINH_VALID = INHNO_VALID$
-$EXCNO_DEFEXC_VALID = EXCNO_VALID$
-
-$ 
-$  CFG_INTã§ä½¿ç¨ã§ããå²è¾¼ã¿çªå·ã¨å²è¾¼ã¿åªå
-åº¦
-$  æå¤§åªå
-åº¦ã¯BASEPRIã¬ã¸ã¹ã¿ã§ãã¹ã¯ã§ããªãåªå
-åº¦ï¼å
-é¨åªå
-åº¦'0'ï¼
-$  ãã®ããï¼ã«ã¼ãã«ç®¡çå¤ã®å²è¾¼ã¿ã§ã®ã¿æå®å¯è½ï¼
-$INTNO_CFGINT_VALID = INTNO_VALID$
-$INTPRI_CFGINT_VALID = RANGE(-(1 << TBITW_IPRI),-2)$
-           
-$ 
-$  kernel/kernel.tf ã®ã¿ã¼ã²ããä¾å­é¨
-$ 
-
-$ 
-$  TSKINICTXBã®åæåæ
-å ±ãçæ
-$ 
-$FUNCTION GENERATE_TSKINICTXB$
-    $SPC${
-    $SPC$$TSK.TINIB_STKSZ[ARGV[1]]$, 
-    $SPC$((void *)((char *)($TSK.TINIB_STK[ARGV[1]]$)
-    $SPC$+ ($TSK.TINIB_STKSZ[ARGV[1]]$))),
-    $SPC$},
-$END$
-
-$ 
-$  æ¨æºãã³ãã¬ã¼ããã¡ã¤ã«ã®ã¤ã³ã¯ã«ã¼ã
-$ 
-$INCLUDE "kernel/kernel.tf"$
-
-$FILE "kernel_cfg.c"$
-
-/*$NL$
-$SPC$*  Target-dependent Definitions (ARM-M)$NL$
-$SPC$*/$NL$
-$NL$
-
-$ 
-$  ãã¯ã¿ã¼ãã¼ãã«
-$ 
-$NL$
-$NL$
-extern void start(void);$NL$
-$NL$
-__attribute__ ((section(".vector"))) $NL$
-const FP _kernel_vector_table[] =      $NL$ 
-{                                    $NL$
-	$TAB$(FP)(TOPPERS_ISTKPT(TOPPERS_ISTK, TOPPERS_ISTKSZ)),   // 0 The initial stack pointer $NL$
-	$TAB$(FP)start,                 // 1 The reset handler         $NL$
-
-$FOREACH excno {2,3,...,14}$ 
-	$IF excno == 11$
-        $TAB$(FP)(_exit_and_dispatch),      /* 11 SVCall handler */
-	$ELIF excno == 14$
-        $TAB$(FP)(_dispatch),      /* 14 PendSV handler */
-	$ELSE$
-		$TAB$(FP)(_kernel_core_exc_entry),
-	$END$
-	$SPC$$FORMAT("/* %d */", +excno)$$NL$
-$END$
-
-$FOREACH inhno INTNO_VALID$ 
-	$IF LENGTH(INH.INHNO[inhno]) && ((INH.INHATR[inhno] & TA_NONKERNEL) != 0)$
-		$TAB$(FP)($INH.INTHDR[inhno]$),
-	$ELSE$
-		$TAB$(FP)(_kernel_core_int_entry),
-	$END$
-	$SPC$$FORMAT("/* %d */", +inhno)$$NL$
-$END$
-
-
-$NL$};$NL$
-$NL$
-
-$NL$
-const FP _kernel_exc_tbl[] = $NL$
-{$NL$
-$FOREACH excno {0,1,...,14}$
-	$IF LENGTH(EXC.EXCNO[excno])$
-		$TAB$(FP)($EXC.EXCHDR[excno]$),
-	$ELSE$
-		$TAB$(FP)(_kernel_default_exc_handler),
-	$END$
-	$SPC$$FORMAT("/* %d */", +excno)$$NL$
-$END$
-
-
-$FOREACH inhno INTNO_VALID$
-	$IF LENGTH(INH.INHNO[inhno])$
-		$TAB$(FP)($INH.INTHDR[inhno]$),
-	$ELSE$
-		$TAB$(FP)(_kernel_default_int_handler),
-	$END$
-	$SPC$$FORMAT("/* %d */", +inhno)$$NL$
-$END$
-
-
-$NL$};$NL$
-$NL$
-
-$ 
-$  _kernel_bitpat_cfgintã®çæ
-$ 
-
-$bitpat_cfgint_num = 0$
-$bitpat_cfgint = 0$
-
-
-const uint32_t _kernel_bitpat_cfgint[
-$IF (TMAX_INTNO & 0x0f) == 0x00 $
-	$bitpat_cfgint_num = (TMAX_INTNO >> 4)$
-$ELSE$
-	$bitpat_cfgint_num = (TMAX_INTNO >> 4) + 1$
-$END$
-	$bitpat_cfgint_num$
-] = {$NL$
-$FOREACH num RANGE(0,(bitpat_cfgint_num-1))$
-$   //boost ã®ãã¼ã¸ã§ã³ã«ãã£ã¦æåãå¤ããããã®å¯¾ç­
-$   //http://www.toppers.jp/TOPPERS-USERS/201004/msg00034.html
-	$bitpat_cfgint = 1-1$
-	$FOREACH inhno RANGE(num*32, (num*32)+31)$
-		$IF LENGTH(INH.INHNO[inhno])$
-			$bitpat_cfgint = bitpat_cfgint | (1 << (inhno & 0x01f))$
-		$END$
-	$END$
-	$TAB$UINT32_C($FORMAT("0x%08x", bitpat_cfgint)$), $NL$
-$END$
-
-$NL$};$NL$
-$NL$
-
-
-$ 
-$  å²è¾¼ã¿åªå
-åº¦ãã¼ãã«ï¼å
-é¨è¡¨ç¾ï¼
-$ 
-const uint32_t _kernel_int_iipm_tbl[] = {$NL$
-$FOREACH excno {0,1,...,14}$
-	$TAB$$FORMAT("UINT32_C(0x%08x), /* 0x%03x */", 0, +excno)$$NL$
-$END$
-
-$FOREACH intno INTNO_VALID$
-	$IF LENGTH(INT.INTNO[intno])$
-		$intpri = (((1 << TBITW_IPRI) + INT.INTPRI[intno]) << (8 - TBITW_IPRI))$
-	$ELSE$
-$		// LSBã1ã«ãã¦ããã®ã¯ï¼å²è¾¼ã¿å±æ§ãè¨­å®ããã¦ããªããã¨ãå¤
-$		// å¥ããããã§ããï¼
-		$intpri = 0 $
-	$END$
-	$TAB$$FORMAT("UINT32_C(0x%08x), /* 0x%03x */", intpri, +intno)$$NL$
-$END$
-$NL$};$NL$
-$NL$
-
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_cfg1_out.h
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_cfg1_out.h	(revision 303)
+++ asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_cfg1_out.h	(revision 304)
@@ -61,5 +61,5 @@
  */
 
-void sta_ker(void){}
+void start(void){}
 
 /* 
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_check.tf
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_check.tf	(revision 303)
+++ 	(revision )
@@ -1,76 +1,0 @@
-$ ======================================================================
-$ 
-$   TOPPERS/ASP Kernel
-$       Toyohashi Open Platform for Embedded Real-Time Systems/
-$       Advanced Standard Profile Kernel
-$  
-$   Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
-$                               Toyohashi Univ. of Technology, JAPAN
-$   Copyright (C) 2005-2014 by Embedded and Real-Time Systems Laboratory
-$               Graduate School of Information Science, Nagoya Univ., JAPAN
-$  
-$   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-$   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-$   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-$   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-$       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-$       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-$   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-$       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-$       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-$       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-$   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-$       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-$       ã¨ï¼
-$     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-$         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-$     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-$         å ±åãããã¨ï¼
-$   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-$       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-$       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-$       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-$       å
-è²¬ãããã¨ï¼
-$  
-$   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-$   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-$   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-$   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-$   ã®è²¬ä»»ãè² ããªãï¼
-$ 
-$   @(#) $Id: core_check.tf 301 2015-01-07 04:57:01Z ertl-ishikawa $
-$
-$ =====================================================================
-
-$ 
-$ 		ãã¹3ã®ãã­ã»ããµä¾å­ãã³ãã¬ã¼ãï¼ARM-Mç¨ï¼
-$ 
-
-$ 
-$  ãã¹4ã®ãã­ã»ããµä¾å­ãã³ãã¬ã¼ãï¼ARM-Mç¨ï¼
-$  
-$FUNCTION GET_STK_TSKINICTXB$
-    $bottom = PEEK(ARGV[1] + offsetof_TINIB_TSKINICTXB_stk_bottom, sizeof_void_ptr)$
-    $size = PEEK(ARGV[1] + offsetof_TINIB_TSKINICTXB_stksz, sizeof_size_t)$
-    $RESULT = (bottom - size)$
-$END$
-
-$ 
-$  æ¨æºãã³ãã¬ã¼ããã¡ã¤ã«ã®ã¤ã³ã¯ã«ã¼ã
-$ 
-$INCLUDE "kernel/kernel_check.tf"$
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_check.trb
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_check.trb	(revision 304)
+++ asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_check.trb	(revision 304)
@@ -0,0 +1,78 @@
+# ======================================================================
+# 
+#   TOPPERS/ASP Kernel
+#       Toyohashi Open Platform for Embedded Real-Time Systems/
+#       Advanced Standard Profile Kernel
+#  
+#   Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
+#                               Toyohashi Univ. of Technology, JAPAN
+#   Copyright (C) 2005-2014 by Embedded and Real-Time Systems Laboratory
+#               Graduate School of Information Science, Nagoya Univ., JAPAN
+#  
+#   ä¸è¨èä½æ¨©è
+ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
+#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
+#   å¤ã»åé
+å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
+#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
+#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
+#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
+#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
+#       è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
+#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããªãå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
+#       ã¨ï¼
+#     (a) åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
+#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#     (b) åé
+å¸ã®å½¢æ
+ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
+#         å ±åãããã¨ï¼
+#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
+#       å®³ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ããå
+è²¬ãããã¨ï¼
+#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
+#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ãã
+#       å
+è²¬ãããã¨ï¼
+#  
+#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
+ã
+#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
+#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
+#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
+#   ã®è²¬ä»»ãè² ããªãï¼
+# 
+#   @(#) $Id: core_check.tf 301 2015-01-07 04:57:01Z ertl-ishikawa $
+#
+# =====================================================================
+
+# 
+# 		ãã¹3ã®ãã­ã»ããµä¾å­ãã³ãã¬ã¼ãï¼ARM-Mç¨ï¼
+# 
+
+# 
+#  ãã¹4ã®ãã­ã»ããµä¾å­ãã³ãã¬ã¼ãï¼ARM-Mç¨ï¼
+#  
+def GetStackTskinictxb(key, params)
+    tinib = SYMBOL("_kernel_tinib_table")
+    tinib += $sizeof_TINIB * (key - 1)
+    bottom = PEEK(tinib + $offsetof_TINIB_TSKINICTXB_stk_bottom, $sizeof_void_ptr)
+    size = PEEK(tinib + $offsetof_TINIB_TSKINICTXB_stksz, $sizeof_size_t)
+    return (bottom - size)
+end
+
+# 
+#  ã¿ã¼ã²ããéä¾å­é¨ã®ã¤ã³ã¯ã«ã¼ã
+# 
+IncludeTrb("kernel/kernel_check.trb")
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_check_.trb
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_check_.trb	(revision 304)
+++ asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_check_.trb	(revision 304)
@@ -0,0 +1,76 @@
+# ======================================================================
+#
+#   TOPPERS/ASP Kernel
+#       Toyohashi Open Platform for Embedded Real-Time Systems/
+#       Advanced Standard Profile Kernel
+#
+#   Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
+#                               Toyohashi Univ. of Technology, JAPAN
+#   Copyright (C) 2005-2014 by Embedded and Real-Time Systems Laboratory
+#               Graduate School of Information Science, Nagoya Univ., JAPAN
+#
+#   ä¸è¨èä½æ¨©è
+ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
+#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
+#   å¤ã»åé
+å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
+#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
+#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
+#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
+#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
+#       è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
+#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããªãå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
+#       ã¨ï¼
+#     (a) åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
+#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#     (b) åé
+å¸ã®å½¢æ
+ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
+#         å ±åãããã¨ï¼
+#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
+#       å®³ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ããå
+è²¬ãããã¨ï¼
+#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
+#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ãã
+#       å
+è²¬ãããã¨ï¼
+#
+#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
+ã
+#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
+#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
+#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
+#   ã®è²¬ä»»ãè² ããªãï¼
+#
+#   @(#) $Id: core_check.tf 301 2015-01-07 04:57:01Z ertl-ishikawa $
+#
+# =====================================================================
+
+#
+# 		ãã¹3ã®ãã­ã»ããµä¾å­ãã³ãã¬ã¼ãï¼ARM-Mç¨ï¼
+#
+
+#
+#  ãã¹4ã®ãã­ã»ããµä¾å­ãã³ãã¬ã¼ãï¼ARM-Mç¨ï¼
+#
+def GetStackTskinictxb(key, params, tinib)
+    bottom = PEEK(tinib + $offsetof_TINIB_TSKINICTXB_stk_bottom, $sizeof_void_ptr)
+    size = PEEK(tinib + $offsetof_TINIB_TSKINICTXB_stksz, $sizeof_size_t)
+    return (bottom - size)
+end
+
+#
+#  ã¿ã¼ã²ããéä¾å­é¨ã®ã¤ã³ã¯ã«ã¼ã
+#
+IncludeTrb("kernel/kernel_check.trb")
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_def.csv
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_def.csv	(revision 303)
+++ 	(revision )
@@ -1,9 +1,0 @@
-TMAX_INTNO,TMAX_INTNO
-TIPM_LOCK,TIPM_LOCK 
-TBITW_IPRI,TBITW_IPRI
-sizeof_TCB,sizeof(TCB)
-offsetof_TCB_p_tinib,"offsetof(TCB,p_tinib)"
-offsetof_TCB_pc,"offsetof(TCB,tskctxb.pc)"
-offsetof_TINIB_TSKINICTXB_stksz,"offsetof(TINIB,tskinictxb.stksz)"
-offsetof_TINIB_TSKINICTXB_stk_bottom,"offsetof(TINIB,tskinictxb.stk_bottom)"
-offsetof_TCB_sp,"offsetof(TCB,tskctxb.sp)"
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_kernel.trb
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_kernel.trb	(revision 304)
+++ asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_kernel.trb	(revision 304)
@@ -0,0 +1,236 @@
+# ======================================================================
+# 
+#   TOPPERS/ASP Kernel
+#       Toyohashi Open Platform for Embedded Real-Time Systems/
+#       Advanced Standard Profile Kernel
+#  
+#   Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
+#                               Toyohashi Univ. of Technology, JAPAN
+#   Copyright (C) 2005-2015 by Embedded and Real-Time Systems Laboratory
+#               Graduate School of Information Science, Nagoya Univ., JAPAN
+#  
+#   ä¸è¨èä½æ¨©è
+ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
+#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
+#   å¤ã»åé
+å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
+#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
+#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
+#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
+#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
+#       è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
+#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããªãå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
+#       ã¨ï¼
+#     (a) åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
+#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#     (b) åé
+å¸ã®å½¢æ
+ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
+#         å ±åãããã¨ï¼
+#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
+#       å®³ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ããå
+è²¬ãããã¨ï¼
+#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
+#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ãã
+#       å
+è²¬ãããã¨ï¼
+#  
+#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
+ã
+#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
+#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
+#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
+#   ã®è²¬ä»»ãè² ããªãï¼
+# 
+#   @(#) $Id: core.tf 322 2015-04-30 13:23:48Z ertl-ishikawa $
+#
+# =====================================================================
+
+# 
+#     ãã¹2ã®ã¢ã¼ã­ãã¯ãã£ä¾å­ãã³ãã¬ã¼ãï¼ARM-Mç¨ï¼
+# 
+
+# 
+#  æå¹ãªå²è¾¼ã¿çªå·ï¼å²è¾¼ã¿ãã³ãã©çªå·
+# 
+$INTNO_VALID = Array(15..$TMAX_INTNO.val)
+$INHNO_VALID = $INTNO_VALID
+
+# 
+#  æå¹ãªCPUä¾å¤çªå·
+#  7,8ã¯ã¨ãã¥ã¬ã¼ããããä¾å¤
+# 
+$EXCNO_VALID = [ 2,3,4,5,6,7,8,11,12,14 ]
+
+# 
+#  CRE_ISRã§ä½¿ç¨ã§ããå²è¾¼ã¿çªå·ã¨ããã«å¯¾å¿ããå²è¾¼ã¿ãã³ãã©çªå·
+# 
+$INTNO_CREISR_VALID = $INTNO_VALID
+$INHNO_CREISR_VALID = $INHNO_VALID
+
+# 
+#  DEF_INTï¼DEF_EXCã§ä½¿ç¨ã§ããå²è¾¼ã¿ãã³ãã©çªå·ï¼CPUä¾å¤ãã³ãã©çªå·
+# 
+$INHNO_DEFINH_VALID = $INHNO_VALID
+$EXCNO_DEFEXC_VALID = $EXCNO_VALID
+
+# 
+#  CFG_INTã§ä½¿ç¨ã§ããå²è¾¼ã¿çªå·ã¨å²è¾¼ã¿åªå
+åº¦
+#  æå¤§åªå
+åº¦ã¯BASEPRIã¬ã¸ã¹ã¿ã§ãã¹ã¯ã§ããªãåªå
+åº¦ï¼å
+é¨åªå
+åº¦'0'ï¼
+#  ãã®ããï¼ã«ã¼ãã«ç®¡çå¤ã®å²è¾¼ã¿ã§ã®ã¿æå®å¯è½ï¼
+$INTNO_CFGINT_VALID = $INTNO_VALID
+$INTPRI_CFGINT_VALID = Array(-(1 << $TBITW_IPRI.val)..-2)
+
+# 
+#  kernel/kernel.tf ã®ã¿ã¼ã²ããä¾å­é¨
+# 
+
+# 
+#  TSKINICTXBã®åæåæ
+å ±ãçæ
+# 
+def GenerateTskinictxb(key, params)
+   return("{" \
+          "\t#{params[:tinib_stksz]}, " \
+          "\t((void *)((char *)(#{params[:tinib_stk]}) + " \
+          "(#{params[:tinib_stksz]}))), " \
+          "},")
+end
+
+# 
+#  æ¨æºãã³ãã¬ã¼ããã¡ã¤ã«ã®ã¤ã³ã¯ã«ã¼ã
+# 
+IncludeTrb("kernel/kernel.trb")
+
+$kernelCfgC.append(<<EOS)
+/*
+ *  Target-dependent Definitions (ARM-M)
+ */
+
+/* 
+ *  ãã¯ã¿ã¼ãã¼ãã«
+ */ 
+__attribute__ ((section(".vector")))
+const FP _kernel_vector_table[] = {
+    (FP)(TOPPERS_ISTKPT(_kernel_istack, ROUND_STK_T(DEFAULT_ISTKSZ))),   /* 0 The initial stack pointer */
+    (FP)start,                 /* 1 The reset handler */
+EOS
+Array(2..14).each { |excno|
+    if excno == 11
+        $kernelCfgC.add("    (FP)(_exit_and_dispatch),      /* 11 SVCall handler */")
+    elsif excno == 14
+        $kernelCfgC.add("    (FP)(_dispatch),      /* 14 PendSV handler */")
+    else
+        $kernelCfgC.add("    (FP)(_kernel_core_exc_entry), /* #{excno} */")
+    end
+}
+$INTNO_VALID.each { |inhno|
+    #if $cfgData[:DEF_INH][inhno]) && ((INH.INHATR[inhno] & TA_NONKERNEL) != 0)$
+    inh = $cfgData[:DEF_INH].select { |k,v| 
+        (v[:inhno] == inhno) && (v[:inhatr] & $TA_NONKERNEL)
+    }
+    if !inh.empty?
+        inh.each_value { |v|
+   	        $kernelCfgC.add("    (FP)(#{v[:inthdr]}), /* #{inhno} */")
+        }
+    else
+   	    $kernelCfgC.add("    (FP)(_kernel_core_int_entry), /* #{inhno} */")
+    end
+}
+$kernelCfgC.add2("};")
+
+$kernelCfgC.add("const FP _kernel_exc_tbl[] = {")
+Array(0..14).each { |excno|
+    exc = $cfgData[:DEF_EXC].select { |k,v| 
+        (v[:excno] == excno)
+    }
+    if !exc.empty?
+        exc.each_value { |v|
+   	        $kernelCfgC.add("   (FP)(#{v[:exchdr]}), /* #{excno} */")
+        }
+    else
+   	    $kernelCfgC.add("   (FP)(_kernel_default_exc_handler), /* #{excno} */")
+    end
+}
+$INTNO_VALID.each { |inhno|
+    inh = $cfgData[:DEF_INH].select { |k,v| 
+        (v[:inhno] == inhno)
+    }
+    if !inh.empty?
+        inh.each_value { |v|
+   	        $kernelCfgC.add("   (FP)(#{v[:inthdr]}), /* #{inhno} */")
+        }
+    else
+   	    $kernelCfgC.add("   (FP)(_kernel_default_int_handler), /* #{inhno} */")
+    end
+}
+$kernelCfgC.add2("};")
+
+# 
+#  _kernel_bitpat_cfgintã®çæ
+# 
+
+bitpat_cfgint_num = 0
+bitpat_cfgint = 0
+if ($TMAX_INTNO & 0x0f) == 0x00
+    bitpat_cfgint_num = ($TMAX_INTNO >> 4)
+else
+    bitpat_cfgint_num = ($TMAX_INTNO >> 4) + 1
+end
+
+$kernelCfgC.add
+$kernelCfgC.add("const uint32_t _kernel_bitpat_cfgint[#{bitpat_cfgint_num}] = {")
+Array(0..(bitpat_cfgint_num-1)).each { |num|
+    Array((num*32)..((num*32)+31)).each { |inhno|
+        inh = $cfgData[:DEF_INH].select { |k,v| 
+            (v[:inhno] == inhno)
+        }
+        if !inh.empty?
+            bitpat_cfgint = bitpat_cfgint | (1 << (inhno & 0x01f))
+        end
+    }
+    $kernelCfgC.add(sprintf("   UINT32_C(0x%08x),", bitpat_cfgint))
+}
+$kernelCfgC.add2("};")
+
+# 
+#  å²è¾¼ã¿åªå
+åº¦ãã¼ãã«ï¼å
+é¨è¡¨ç¾ï¼
+# 
+$kernelCfgC.add("const uint32_t _kernel_int_iipm_tbl[] = {")
+Array(0..14).each { |excno|
+    $kernelCfgC.add(sprintf("   UINT32_C(0x%08x), /* 0x%03x */", 0, excno))
+}
+$INTNO_VALID.each { |intno|
+    int = $cfgData[:CFG_INT].select { |k,v| 
+        (v[:intno] == intno)
+    }
+    intpri = 0
+    if !int.empty?
+        #	 LSBã1ã«ãã¦ããã®ã¯ï¼å²è¾¼ã¿å±æ§ãè¨­å®ããã¦ããªããã¨ãå¤
+        #	 å¥ããããã§ããï¼
+        int.each_value { |v|
+       	    intpri = (((1 << $TBITW_IPRI) + v[:intpri]) << (8 - $TBITW_IPRI))
+        }
+    end
+    $kernelCfgC.add(sprintf("   UINT32_C(0x%08x), /* 0x%03x */", intpri, intno))
+}
+$kernelCfgC.add2("};")
+
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_kernel_impl.h
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_kernel_impl.h	(revision 303)
+++ asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_kernel_impl.h	(revision 304)
@@ -482,5 +482,5 @@
  *  ã¹ã¿ã¼ãã¢ããã«ã¼ãã³ï¼start.Sï¼
  */
-extern void _kernel_start(void);
+extern void start(void);
 
 /*
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_offset.tf
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_offset.tf	(revision 303)
+++ 	(revision )
@@ -1,79 +1,0 @@
-$ ======================================================================
-$ 
-$   TOPPERS/ASP Kernel
-$       Toyohashi Open Platform for Embedded Real-Time Systems/
-$       Advanced Standard Profile Kernel
-$  
-$   Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
-$                               Toyohashi Univ. of Technology, JAPAN
-$   Copyright (C) 2005-2014 by Embedded and Real-Time Systems Laboratory
-$               Graduate School of Information Science, Nagoya Univ., JAPAN
-$  
-$   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-$   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-$   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-$   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-$       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-$       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-$   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-$       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-$       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-$       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-$   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-$       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-$       ã¨ï¼
-$     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-$         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-$     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-$         å ±åãããã¨ï¼
-$   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-$       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-$       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-$       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-$       å
-è²¬ãããã¨ï¼
-$  
-$   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-$   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-$   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-$   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-$   ã®è²¬ä»»ãè² ããªãï¼
-$ 
-$   @(#) $Id: core_offset.tf 301 2015-01-07 04:57:01Z ertl-ishikawa $
-$
-$ =====================================================================
-
-$
-$       ãªãã»ãããã¡ã¤ã«çæç¨ãã³ãã¬ã¼ããã¡ã¤ã«ï¼ARM-Mç¨ï¼
-$
-
-$
-$  æ¨æºãã³ãã¬ã¼ããã¡ã¤ã«ã®ã¤ã³ã¯ã«ã¼ã
-$
-$INCLUDE "kernel/genoffset.tf"$
-
-$
-$  ãªãã»ããå¤ã®ãã¯ã­å®ç¾©ã®çæ
-$
-$DEFINE("TCB_p_tinib", offsetof_TCB_p_tinib)$
-$DEFINE("TCB_pc", offsetof_TCB_pc)$
-$DEFINE("TCB_sp", offsetof_TCB_sp)$
-
-$DEFINE("TINIB_exinf", offsetof_TINIB_exinf)$
-$DEFINE("TINIB_task", offsetof_TINIB_task)$
-$DEFINE("TINIB_stk_bottom", offsetof_TINIB_TSKINICTXB_stk_bottom)$
-
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_offset.trb
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_offset.trb	(revision 304)
+++ asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_offset.trb	(revision 304)
@@ -0,0 +1,79 @@
+# ======================================================================
+# 
+#   TOPPERS/ASP Kernel
+#       Toyohashi Open Platform for Embedded Real-Time Systems/
+#       Advanced Standard Profile Kernel
+#  
+#   Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
+#                               Toyohashi Univ. of Technology, JAPAN
+#   Copyright (C) 2005-2014 by Embedded and Real-Time Systems Laboratory
+#               Graduate School of Information Science, Nagoya Univ., JAPAN
+#  
+#   ä¸è¨èä½æ¨©è
+ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
+#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
+#   å¤ã»åé
+å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
+#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
+#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
+#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
+#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
+#       è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
+#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããªãå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
+#       ã¨ï¼
+#     (a) åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
+#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#     (b) åé
+å¸ã®å½¢æ
+ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
+#         å ±åãããã¨ï¼
+#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
+#       å®³ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ããå
+è²¬ãããã¨ï¼
+#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
+#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ãã
+#       å
+è²¬ãããã¨ï¼
+#  
+#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
+ã
+#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
+#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
+#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
+#   ã®è²¬ä»»ãè² ããªãï¼
+# 
+#   @(#) $Id: core_offset.tf 301 2015-01-07 04:57:01Z ertl-ishikawa $
+#
+# =====================================================================
+
+#
+#       ãªãã»ãããã¡ã¤ã«çæç¨ãã³ãã¬ã¼ããã¡ã¤ã«ï¼ARM-Mç¨ï¼
+#
+
+#
+#  ã¿ã¼ã²ããéä¾å­é¨ã®ã¤ã³ã¯ã«ã¼ã
+#
+IncludeTrb("kernel/genoffset.trb")
+
+#
+#  ãªãã»ããå¤ã®ãã¯ã­å®ç¾©ã®çæ
+#
+GenerateDefine("TCB_p_tinib", $offsetof_TCB_p_tinib)
+GenerateDefine("TCB_pc", $offsetof_TCB_pc)
+GenerateDefine("TCB_sp", $offsetof_TCB_sp)
+
+GenerateDefine("TINIB_exinf", $offsetof_TINIB_exinf)
+GenerateDefine("TINIB_task", $offsetof_TINIB_task)
+GenerateDefine("TINIB_stk_bottom", $offsetof_TINIB_TSKINICTXB_stk_bottom)
+
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_rename.h
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_rename.h	(revision 303)
+++ asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_rename.h	(revision 304)
@@ -40,44 +40,4 @@
 
 
-#ifdef TOPPERS_LABEL_ASM
-
-/*
- *  core_kernel_impl.c
- */
-#define _exc_tbl					__kernel_exc_tbl
-#define _vector_table				__kernel_vector_table
-#define _lock_flag					__kernel_lock_flag
-#define _saved_iipm					__kernel_saved_iipm
-#define _default_exc_handler		__kernel_default_exc_handler
-#define _default_int_handler		__kernel_default_int_handler
-#define _config_int					__kernel_config_int
-#define _core_initialize			__kernel_core_initialize
-#define _core_terminate				__kernel_core_terminate
-#define _bitpat_cfgint				__kernel_bitpat_cfgint
-#define _set_exc_int_priority		__kernel_set_exc_int_priority
-#define _enable_exc					__kernel_enable_exc
-#define _disable_exc				__kernel_disable_exc
-
-/*
- *  core_support.S
- */
-#define _core_int_entry				__kernel_core_int_entry
-#define _core_exc_entry				__kernel_core_exc_entry
-#define _ret_int					__kernel_ret_int
-#define _ret_int_r					__kernel_ret_int_r
-#define _ret_exc					__kernel_ret_exc
-#define _svc_handler				__kernel_svc_handler
-#define _svc_vector_tbl				__kernel_svc_vector_tbl
-#define _start_r					__kernel_start_r
-#define _dispatcher					__kernel_dispatcher
-#define _dispatch					__kernel_dispatch
-#define _dispatch_r					__kernel_dispatch_r
-#define _start_dispatch				__kernel_start_dispatch
-#define _exit_and_dispatch			__kernel_exit_and_dispatch
-#define _call_exit_kernel			__kernel_call_exit_kernel
-
-
-#endif /* TOPPERS_LABEL_ASM */
-
 
 #endif /* TOPPERS_CORE_RENAME_H */
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_sym.def
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_sym.def	(revision 304)
+++ asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_sym.def	(revision 304)
@@ -0,0 +1,9 @@
+TMAX_INTNO,TMAX_INTNO
+TIPM_LOCK,TIPM_LOCK 
+TBITW_IPRI,TBITW_IPRI
+sizeof_TCB,sizeof(TCB)
+offsetof_TCB_p_tinib,"offsetof(TCB,p_tinib)"
+offsetof_TCB_pc,"offsetof(TCB,tskctxb.pc)"
+offsetof_TINIB_TSKINICTXB_stksz,"offsetof(TINIB,tskinictxb.stksz)"
+offsetof_TINIB_TSKINICTXB_stk_bottom,"offsetof(TINIB,tskinictxb.stk_bottom)"
+offsetof_TCB_sp,"offsetof(TCB,tskctxb.sp)"
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_unrename.h
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_unrename.h	(revision 303)
+++ asp3_wo_tecs/trunk/arch/arm_m_gcc/common/core_unrename.h	(revision 304)
@@ -41,44 +41,4 @@
 
 
-#ifdef TOPPERS_LABEL_ASM
-
-/*
- *  core_kernel_impl.c
- */
-#undef _exc_tbl
-#undef _vector_table
-#undef _lock_flag
-#undef _saved_iipm
-#undef _default_exc_handler
-#undef _default_int_handler
-#undef _config_int
-#undef _core_initialize
-#undef _core_terminate
-#undef _bitpat_cfgint
-#undef _set_exc_int_priority
-#undef _enable_exc
-#undef _disable_exc
-
-/*
- *  core_support.S
- */
-#undef _core_int_entry
-#undef _core_exc_entry
-#undef _ret_int
-#undef _ret_int_r
-#undef _ret_exc
-#undef _svc_handler
-#undef _svc_vector_tbl
-#undef _start_r
-#undef _dispatcher
-#undef _dispatch
-#undef _dispatch_r
-#undef _start_dispatch
-#undef _exit_and_dispatch
-#undef _call_exit_kernel
-
-
-#endif /* TOPPERS_LABEL_ASM */
-
 
 #endif /* TOPPERS_CORE_RENAME_H */
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/stm32f4xx_stm32cube/chip_rename.def
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/stm32f4xx_stm32cube/chip_rename.def	(revision 303)
+++ asp3_wo_tecs/trunk/arch/arm_m_gcc/stm32f4xx_stm32cube/chip_rename.def	(revision 304)
@@ -1,1 +1,1 @@
-INCLUDE "arm_m_gcc/common/core"
+INCLUDE "core"
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/stm32f4xx_stm32cube/chip_rename.h
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/stm32f4xx_stm32cube/chip_rename.h	(revision 303)
+++ asp3_wo_tecs/trunk/arch/arm_m_gcc/stm32f4xx_stm32cube/chip_rename.h	(revision 304)
@@ -5,9 +5,4 @@
 
 
-#ifdef TOPPERS_LABEL_ASM
-
-
-#endif /* TOPPERS_LABEL_ASM */
-
 #include "core_rename.h"
 
Index: asp3_wo_tecs/trunk/arch/arm_m_gcc/stm32f4xx_stm32cube/chip_unrename.h
===================================================================
--- asp3_wo_tecs/trunk/arch/arm_m_gcc/stm32f4xx_stm32cube/chip_unrename.h	(revision 303)
+++ asp3_wo_tecs/trunk/arch/arm_m_gcc/stm32f4xx_stm32cube/chip_unrename.h	(revision 304)
@@ -6,9 +6,4 @@
 
 
-#ifdef TOPPERS_LABEL_ASM
-
-
-#endif /* TOPPERS_LABEL_ASM */
-
 #include "core_unrename.h"
 
